
% load the data -- 'B'
load 'rank18.mat'

% setup the symbols
for j = 1:3 for k = 1:3 eval(['syms a',num2str(j),num2str(k)]); end; end;
A = []; for j = 1:3 for k = 1:3 A = [A,eval(['a',num2str(j),num2str(k)])]; end; end;
A = transpose(A);

% compute the approximation arising from B
NumPoly = vpa(simplify(expand(sum((B*A).^3))));

% compute actual polynomial
Poly = expand(trace(transpose(reshape(A,[3 3]))^3));

% compare NumPoly and Poly
C = norm(double(coeffs(NumPoly - Poly,A)));
disp(['norm difference: ',num2str(C)]);

% evaluate at a random point
Ae = rand(size(A))*2-1;
D = abs(double(subs(NumPoly - Poly,A,Ae)));
disp(['evaluation error: ',num2str(D)]);



