
% load the data -- 'B'
load 'rank10.mat'

% setup the symbols
syms a0 a1 a2 a3 a4 a5;
A = [a0 a1 a2; a1 a3 a4; a2 a4 a5];
Av = [a0;a1;a2;a3;a4;a5];

% compute the approximation arising from B
NumPoly = vpa(simplify(expand(sum((B*Av).^3))));

% compute actual polynomial
Poly = expand(trace(A^3));

% compare NumPoly and Poly
C = norm(double(coeffs(NumPoly - Poly,Av)));
disp(['norm difference: ',num2str(C)]);

% evaluate at a random point
Ae = rand(size(A))*2-1;
D = abs(double(subs(NumPoly - Poly,A,Ae)));
disp(['evaluation error: ',num2str(D)]);



